[SR-Users] Help me open ports for my kamailio

Stefan Troplev stefan at itdepartment.biz
Wed Mar 4 13:49:57 CET 2020


This is my rtpproxy configuration

/etc/init.d/rtpproxy


#! /bin/sh
### BEGIN INIT INFO
# Provides:          rtpproxy
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: RTP Proxy
# Description:       Relay for VoIP media streams
### END INIT INFO

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
NAME=rtpproxy
DESC="RTP relay"
DAEMON=/usr/bin/$NAME
USER=$NAME
GROUP=$USER
PIDFILE="/var/run/$NAME/$NAME.pid"
PIDFILE_DIR=`dirname $PIDFILE`
CONTROL_SOCK="udp:localhost:7722"

test -x $DAEMON || exit 0
umask 002

. /lib/lsb/init-functions

# Include defaults if available
if [ -f /etc/default/$NAME ] ; then
        . /etc/default/$NAME
fi

DAEMON_OPTS="-s $CONTROL_SOCK -u $USER:$GROUP -p $PIDFILE $EXTRA_OPTS"

if [ ! -d "$PIDFILE_DIR" ];then
        mkdir "$PIDFILE_DIR"
    chown $USER:$GROUP "$PIDFILE_DIR"
fi

set -e
case "$1" in
  start)
        echo -n "Starting $DESC: "
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON
-- $DAEMON_OPTS
        echo "$NAME."
        ;;
  stop)
        echo -n "Stopping $DESC: "
        start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE --exec
$DAEMON
        echo "$NAME."
        ;;
  status)
        echo -n "Status $DESC: "
        PID=$(cat $PIDFILE)
        kill -0 $PID
        rc=$?
        # Check exit code
        if [ "$rc" -ne 0 ]
        then
                echo "$NAME is NOT running."
                exit 7
        else
                echo "$NAME is running with PID: $PID"
        fi
        ;;
  restart|force-reload)
        echo -n "Restarting $DESC: "
        start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE --exec
$DAEMON
        sleep 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON
-- $DAEMON_OPTS
        echo "$NAME."
        ;;
  *)
        N=/etc/init.d/$NAME
        echo "Usage: $N {start|stop|status|restart|force-reload}" >&2
        exit 1
        ;;
esac


case "$1" in
  start)
        echo -n "Starting $DESC: "
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON
-- $DAEMON_OPTS
        echo "$NAME."
        ;;
  stop)
        echo -n "Stopping $DESC: "
        start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE --exec
$DAEMON
        echo "$NAME."
        ;;
  status)
        echo -n "Status $DESC: "
        PID=$(cat $PIDFILE)
        kill -0 $PID
        rc=$?
        # Check exit code
        if [ "$rc" -ne 0 ]
        then
                echo "$NAME is NOT running."

        else
                echo "$NAME is running with PID: $PID"
        fi
        ;;
  restart|force-reload)
        echo -n "Restarting $DESC: "
        start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE --exec
$DAEMON
        sleep 1
        start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON
-- $DAEMON_OPTS
        echo "$NAME."
        ;;
  *)
        N=/etc/init.d/$NAME
        echo "Usage: $N {start|stop|status|restart|force-reload}" >&2
        exit 1
        ;;
esac

exit 0


On Thu, Feb 13, 2020 at 5:49 PM Fred Posner <fred at palner.com> wrote:

> On 2/13/20 4:13 AM, Stefan Troplev wrote:
> > Hi, I've been struggling around with my kamailio configuration.
> >
> > I've managed to install kamailio on Ubuntu Server and configured 2
> > clients, I've registered them in Zoiper to my server. They can call each
> > other, but are unable to talk. There is no audio heard. Ports opened on
> > the router are 20000-30000 UDP and both TCP and UDP for 5060 and 5062.
> > Are these ports correctly opened? Thank you.
>
> Kamailio is a SIP server and doesn't actively relay media. You can use
> Kamailio in conjunction with a media relay (such as rtpengine or
> rtpproxy) to proxy/relay media and the ports needed would be opened
> within that software.
>
> Fred Posner
> fred at qxork.com
> https://qxork.com
> Direct/SMS: +1 (336) 439-3733
>
> Need Fred? Call Fred. 336-HEY-FRED
> Matrix: @fred:matrix.lod.com
>
> _______________________________________________
> Kamailio (SER) - Users Mailing List
> sr-users at lists.kamailio.org
> https://lists.kamailio.org/cgi-bin/mailman/listinfo/sr-users
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.kamailio.org/pipermail/sr-users/attachments/20200304/06621fa9/attachment.html>


More information about the sr-users mailing list